# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Windsurf - An AI-powered IDE with Cascade integration"
HOMEPAGE="https://codeium.com/windsurf"
SRC_URI="https://github.com/Codeium/windsurf/releases/download/v${PV}/windsurf-${PV}-linux-x64.tar.gz"

LICENSE="Proprietary"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

RESTRICT="strip"
RDEPEND="
    x11-libs/gtk+:3
    x11-libs/libX11
    x11-libs/libxkbfile
    x11-libs/libsecret
    dev-libs/nss
    dev-libs/nspr
"
DEPEND="${RDEPEND}"

S="${WORKDIR}/windsurf-${PV}"

src_install() {
    local destdir="/opt/${PN}"

    # Installation du programme
    insinto "${destdir}"
    doins -r *

    # Rendre l'exécutable... exécutable
    fperms +x "${destdir}/windsurf"

    # Créer un lien symbolique dans /usr/bin
    dosym "${destdir}/windsurf" "/usr/bin/windsurf"

    # Installer l'icône
    newicon "resources/app/resources/icons/windsurf.png" "${PN}.png"

    # Créer une entrée dans le menu des applications
    make_desktop_entry \
        "${PN}" \
        "Windsurf IDE" \
        "${PN}" \
        "Development;IDE;" \
        "StartupWMClass=Windsurf"
}

pkg_postinst() {
    xdg_icon_cache_update
    xdg_desktop_database_update
}

pkg_postrm() {
    xdg_icon_cache_update
    xdg_desktop_database_update
}
